Debian Bug report logs - #399357
libossp-uuid-perl: Data::UUID::to_b64string returned value ends with a "\n"

version graph

Package: libossp-uuid-perl; Maintainer for libossp-uuid-perl is Marco Nenciarini <mnencia@debian.org>; Source for libossp-uuid-perl is src:ossp-uuid.

Reported by: Bogdan Lucaciu <bogdan@wiz.ro>

Date: Sun, 19 Nov 2006 13:18:02 UTC

Severity: important

Tags: upstream

Found in version ossp-uuid/1.3.2-1

Fixed in version ossp-uuid/1.5.1-1

Done: Piotr Roszatycki <dexter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#399357; Package libossp-uuid-perl. Full text and rfc822 format available.

Acknowledgement sent to Bogdan Lucaciu <bogdan@wiz.ro>:
New Bug report received and forwarded. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bogdan Lucaciu <bogdan@wiz.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libossp-uuid-perl: Data::UUID::to_b64string returned value ends with a "\n"
Date: Sun, 19 Nov 2006 15:09:10 +0200
Package: libossp-uuid-perl
Version: 1.3.2-1
Severity: important


MIME::Base64's POD says: 
encode_base64($str, $eol);

    Encode data by calling the encode_base64() function. The first
    argument is the string to encode. The second argument is the
    line-ending sequence to use. It is optional and defaults to "\n".
    The returned encoded string is broken into lines of no more than 76
    characters each and it will end with $eol unless it is empty. Pass
    an empty string as second argument if you do not want the encoded
    string to be broken into lines.

In Data::UUID::to_b64string, an empty string as $eol isn't supplied, so
the returned string ends with a "\n".

This breaks others modules as well (like Data::GUID).

Patch for /usr/lib/perl5/Data/UUID.pm :
87c87
<     return MIME::Base64::encode_base64($bin);
---
>     return MIME::Base64::encode_base64($bin,'');


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libossp-uuid-perl depends on:
ii  libossp-uuid13                1.3.2-1    OSSP uuid ISO-C and C++ - shared l

libossp-uuid-perl recommends no packages.

-- debconf-show failed



Tags added: pending, upstream Request was from Piotr Roszatycki <dexter@n1.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Piotr Roszatycki <dexter@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bogdan Lucaciu <bogdan@wiz.ro>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 399357-close@bugs.debian.org (full text, mbox):

From: Piotr Roszatycki <dexter@debian.org>
To: 399357-close@bugs.debian.org
Subject: Bug#399357: fixed in ossp-uuid 1.5.1-1
Date: Thu, 23 Nov 2006 18:59:30 +0000
Source: ossp-uuid
Source-Version: 1.5.1-1

We believe that the bug you reported is fixed in the latest version of
ossp-uuid, which is due to be installed in the Debian FTP archive:

libossp-uuid-dev_1.5.1-1_i386.deb
  to pool/main/o/ossp-uuid/libossp-uuid-dev_1.5.1-1_i386.deb
libossp-uuid-perl_1.5.1-1_i386.deb
  to pool/main/o/ossp-uuid/libossp-uuid-perl_1.5.1-1_i386.deb
libossp-uuid15_1.5.1-1_i386.deb
  to pool/main/o/ossp-uuid/libossp-uuid15_1.5.1-1_i386.deb
ossp-uuid_1.5.1-1.diff.gz
  to pool/main/o/ossp-uuid/ossp-uuid_1.5.1-1.diff.gz
ossp-uuid_1.5.1-1.dsc
  to pool/main/o/ossp-uuid/ossp-uuid_1.5.1-1.dsc
ossp-uuid_1.5.1.orig.tar.gz
  to pool/main/o/ossp-uuid/ossp-uuid_1.5.1.orig.tar.gz
php4-uuid_1.5.1-1_i386.deb
  to pool/main/o/ossp-uuid/php4-uuid_1.5.1-1_i386.deb
php5-uuid_1.5.1-1_i386.deb
  to pool/main/o/ossp-uuid/php5-uuid_1.5.1-1_i386.deb
uuid_1.5.1-1_i386.deb
  to pool/main/o/ossp-uuid/uuid_1.5.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399357@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Piotr Roszatycki <dexter@debian.org> (supplier of updated ossp-uuid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 20 Nov 2006 17:15:47 +0100
Source: ossp-uuid
Binary: php5-uuid php4-uuid libossp-uuid-dev uuid libossp-uuid15 libossp-uuid-perl
Architecture: source i386
Version: 1.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Piotr Roszatycki <dexter@debian.org>
Changed-By: Piotr Roszatycki <dexter@debian.org>
Description: 
 libossp-uuid-dev - OSSP uuid ISO-C and C++ - headers and static libraries
 libossp-uuid-perl - perl OSSP::UUID - OSSP uuid Perl Binding
 libossp-uuid15 - OSSP uuid ISO-C and C++ - shared library
 php4-uuid  - OSSP uuid module for php4
 php5-uuid  - OSSP uuid module for php5
 uuid       - OSSP uuid
Closes: 381533 381579 399357
Changes: 
 ossp-uuid (1.5.1-1) unstable; urgency=low
 .
   * New upstream release.
     - No binary files in upstream. Closes: #381579.
     - uuid -d works for amd64. Closes: #381533.
   * PHP packages use conf.d configuration schema.
   * Fix Data::UUID::to_b64string returned value ends with a "\n".
     Closes: #399357.
Files: 
 43e85f044c0373c7e59d727f066ffccb 709 libs optional ossp-uuid_1.5.1-1.dsc
 d7df0c4cb02dad7ce3e1ec8fc669f724 401963 libs optional ossp-uuid_1.5.1.orig.tar.gz
 876cd91822965015fa90522ef3260b2e 8866 libs optional ossp-uuid_1.5.1-1.diff.gz
 90c2c8f00193bb7256f1e4fa57264c53 48586 libs optional libossp-uuid15_1.5.1-1_i386.deb
 66eab94a6c70b54dc47da579154f0541 63792 libdevel optional libossp-uuid-dev_1.5.1-1_i386.deb
 d36c938da472b9483b86ed0fbf6ae3ce 12216 utils optional uuid_1.5.1-1_i386.deb
 1314c5d9dfa34b7d02161fbd3ffd6c16 24156 perl optional libossp-uuid-perl_1.5.1-1_i386.deb
 de5607a00866642cd685072d39919d68 8290 interpreters optional php4-uuid_1.5.1-1_i386.deb
 9466a330a1f7252593cca55f2e46e2d2 8278 interpreters optional php5-uuid_1.5.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFYdrbhMHHe8CxClsRAjXDAKDLuXIDNxtkHYpfGEzo7eIvhKn7/gCgot0U
0CCnzLXul4WzKxc3jf3QZ2I=
=HbwO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#399357; Package libossp-uuid-perl. Full text and rfc822 format available.

Acknowledgement sent to Stuart Johnston <saj@thecommune.net>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #17 received at 399357@bugs.debian.org (full text, mbox):

From: Stuart Johnston <saj@thecommune.net>
To: 399357@bugs.debian.org
Subject: Patch does not apply
Date: Thu, 08 Mar 2007 13:21:48 -0600
The patch for this bug does not get applied to the final .deb package.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:36:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:24:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.